explain_ustat_or_die(3)

NAME
explain_ustat_or_die - get file system statistics and report errors
    "get file system statistics and report errors"

SYNOPSIS
#include <libexplain/ustat.h>

void explain_ustat_or_die(dev_t dev, struct ustat *ubuf);
int explain_ustat_on_error(dev_t dev, struct ustat *ubuf);

DESCRIPTION
The explain_ustat_or_die function is used to call the ustat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_ustat(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_ustat_on_error function is used to call the ustat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_ustat(3) function, but still returns to the caller.

dev The dev, exactly as to be passed to the ustat(2) system call.

ubuf
    The ubuf, exactly as to be passed to the ustat(2) system call.

RETURN VALUE
The explain_ustat_or_die function only returns on success, see ustat(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_ustat_on_error function always returns the value return by the wrapped ustat(2) system call.

EXAMPLE
The explain_ustat_or_die function is intended to be used in a fashion similar to the following example:
    explain_ustat_or_die(dev, ubuf);

SEE ALSO

ustat(2)
    get file system statistics

explain_ustat(3)
    explain ustat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller